<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="viewModel"
            type="com.lukouguoji.gjc.viewModel.GjcBoxAssembleAddViewModel" />

    </data>

    <androidx.appcompat.widget.LinearLayoutCompat
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/color_f2"
        android:orientation="vertical"
        tools:context=".activity.GjcBoxAssembleAddActivity">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <include layout="@layout/title_tool_bar" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentEnd="true"
                android:layout_centerVertical="true"
                android:layout_marginRight="15dp"
                android:gravity="center"
                android:onClick="@{viewModel::onFilterClick}">

                <ImageView
                    android:layout_width="30dp"
                    android:layout_height="30dp"
                    android:src="@mipmap/filtrate"
                    app:tint="@color/white" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="8dp"
                    android:text="筛选"
                    android:textColor="@color/white"
                    android:textSize="20sp"
                    android:textStyle="bold" />

            </LinearLayout>

        </RelativeLayout>


        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center_vertical">

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:padding="10dp">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text='@{"平板车：" + (viewModel.flatcarBean.carId ?? "")}'
                    android:textColor="#333"
                    android:textSize="25dp"
                    android:textStyle="bold" />

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text='@{"自\u3000\u3000重：" + (viewModel.flatcarBean.carWeight ?? "")}' />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10dp"
                        android:text='@{"标\u3000\u3000重：" + (viewModel.flatcarBean.signWeight ?? "")}' />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10dp"
                        android:text='@{"最大载重：" + (viewModel.flatcarBean.maxWeight ?? "")}' />

                </androidx.appcompat.widget.LinearLayoutCompat>

            </androidx.appcompat.widget.LinearLayoutCompat>

            <View
                android:layout_width="1dp"
                android:layout_height="match_parent"
                android:background="#666" />

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:padding="10dp">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text='@{"ULD：" + (viewModel.uldBean.uld ?? "")}'
                    android:textColor="#333"
                    android:textSize="25dp"
                    android:textStyle="bold" />

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text='@{"自\u3000\u3000重：" + (viewModel.uldBean.uldWeight ?? "")}' />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10dp"
                        android:text='@{"最大载重：" + (viewModel.uldBean.maxWeight ?? "")}' />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10dp"
                        android:text='@{"最大体积：" + (viewModel.uldBean.maxVolume ?? "")}' />

                </androidx.appcompat.widget.LinearLayoutCompat>

            </androidx.appcompat.widget.LinearLayoutCompat>

        </androidx.appcompat.widget.LinearLayoutCompat>

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="#666" />

        <com.scwang.smart.refresh.layout.SmartRefreshLayout
            android:id="@+id/srl"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            app:srlEnableRefresh="false">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                tools:listitem="@layout/item_box_add" />

        </com.scwang.smart.refresh.layout.SmartRefreshLayout>

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:background="#5c6890"
            android:gravity="center_vertical"
            android:paddingHorizontal="15dp">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text='@{"总件数：" + viewModel.totalCount + "，总重量" + viewModel.totalWeight + "KG"}'
                android:textColor="@color/white"
                android:textSize="16sp"
                android:textStyle="bold" />

            <RadioGroup
                android:id="@+id/rg"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <RadioButton
                    android:id="@+id/tb_pbc"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="15dp"
                    android:background="#5c6890"
                    android:checked="@={viewModel.checkPBC}"
                    android:text="平板车"
                    android:textColor="#ecc490"
                    android:textSize="18sp"
                    android:textStyle="bold"
                    tools:checked="true" />

                <RadioButton
                    android:id="@+id/tb_uld"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="10dp"
                    android:background="#5c6890"
                    android:checked="@={viewModel.checkULD}"
                    android:text="ULD"
                    android:textColor="#ecc490"
                    android:textSize="18sp"
                    android:textStyle="bold" />

            </RadioGroup>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="0dp"
                android:layout_height="40dp"
                android:layout_marginLeft="20dp"
                android:layout_weight="1"
                android:background="@drawable/bg_search_row"
                android:gravity="center_vertical">

                <EditText
                    setFocusChangedListener="@{viewModel::onPbcOrUldChange}"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@null"
                    android:hint="请输入平板车或ULD"
                    android:paddingLeft="8dp"
                    android:text="@={viewModel.plateOrUld}" />

                <ImageView
                    android:layout_width="40dp"
                    android:layout_height="match_parent"
                    android:layout_gravity="center"
                    android:onClick="@{viewModel::onPlateOrUldClick}"
                    android:padding="10dp"
                    android:src="@mipmap/scan_code" />

            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="0dp"
                android:layout_height="40dp"
                android:layout_marginLeft="20dp"
                android:layout_weight="1"
                android:background="@drawable/bg_search_row"
                android:gravity="center_vertical">

                <EditText
                    setFocusChangedListener="@{viewModel::onWaybillOrPieceChange}"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@null"
                    android:hint="请输入运单号或件号"
                    android:paddingLeft="8dp"
                    android:text="@={viewModel.waybillOrPiece}" />

                <ImageView
                    android:layout_width="40dp"
                    android:layout_height="match_parent"
                    android:layout_gravity="center"
                    android:onClick="@{viewModel::onWaybillOrPieceClick}"
                    android:padding="10dp"
                    android:src="@mipmap/scan_code" />

            </androidx.appcompat.widget.LinearLayoutCompat>

            <TextView
                style="@style/tv_bottom_btn"
                android:onClick="@{viewModel::onConfirmClick}"
                android:text="确认组装" />

        </androidx.appcompat.widget.LinearLayoutCompat>

    </androidx.appcompat.widget.LinearLayoutCompat>

</layout>